
Summary: Comapatibility Exif and Iptc metadata manipulation library
Name:	 compat-exiv2
Version: 0.15
Release: 5%{?dist}

License: GPLv2+
Group:	 System Environment/Libraries 
URL: 	 http://www.exiv2.org/
Source0: http://www.exiv2.org/exiv2-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: zlib-devel

Patch2: exiv2-0.9.1-deps.patch
Patch3: exiv2-0.13-CVE-2007-6353.patch 

Obsoletes: exiv2-libs < %{version}-%{release}
#Provides: exiv2-libs = %{version}-%{release}

%description
A compatibility library to access image metadata, supporting full read and
write access to the Exif and Iptc metadata, Exif MakerNote support, extract
and delete methods for Exif thumbnails, classes to access Ifd and so on.


%prep
%setup -q -n exiv2-%{version}

%patch2 -p1 -b .deps
%patch3 -p1 -b .CVE-2007-6353

mkdir doc/html


%build
%configure \
  --disable-nls \
  --disable-rpath \
  --disable-static 

make %{?_smp_mflags} 


%install
rm -rf %{buildroot} 

make install DESTDIR=%{buildroot}

# fix perms on installed lib
chmod 755 %{buildroot}%{_libdir}/lib*.so*

# Unpackaged/conflicting files
rm -rf %{buildroot}%{_bindir}/
rm -rf %{buildroot}%{_includedir}/
rm -f  %{buildroot}%{_libdir}/lib*.{la,so}
rm -rf %{buildroot}%{_libdir}/pkgconfig
rm -rf %{buildroot}%{_mandir}/


%clean
rm -rf %{buildroot} 


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files 
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/libexiv2.so.0*


%changelog
* Thu Jul 17 2008 Rex Dieter <rdieter@fedoraproject.org> 0.15-6
- compat-exiv2

* Mon Dec 17 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.15-5
- CVE-2007-6353 (#425922)

* Tue Sep 18 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.15-4
- -libs: -Requires: %%name

* Tue Aug 21 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.15-3
- -libs subpkg to be multilib-friendlier (f8+)

* Sat Aug 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.15-2
- License: GPLv2+

* Thu Jul 12 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.15-1
- exiv2-0.15

* Mon Apr 02 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.14-1
- exiv2-0.14

* Tue Nov 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.12-1
- exiv2-0.12

* Wed Oct 04 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.11-3
- respin

* Tue Sep 19 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.11-2
- BR: zlib-devel

* Tue Sep 19 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.11-1
- exiv2-0.11

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.10-2
- fc6 respin

* Sat Jun 03 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.10-1
- 0.10

* Wed May 17 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.1-3
- cleanup %%description
- set eXecute bit on installed lib.
- no_rpath patch
- deps patch (items get (re)compiled on *every* call to 'make')

* Wed May 17 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.1-2
- %%post/%%postun: /sbin/ldconfig

* Tue May 16 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.1-1
- first try
